Index: t3lib/class.t3lib_stdgraphic.php
===================================================================
--- t3lib/class.t3lib_stdgraphic.php	(revision 9431)
+++ t3lib/class.t3lib_stdgraphic.php	(revision )
@@ -1091,28 +1045,28 @@
 
 			// Traverse the split-rendering configuration:
 			// Splitting will create more entries in $result with individual configurations.
-		if (is_array($splitRendering))	{
+		if (is_array($splitRendering)) {
 			$sKeyArray = t3lib_TStemplate::sortedKeyList($splitRendering);
 
 				// Traverse configured options:
-			foreach($sKeyArray as $key)	{
+			foreach ($sKeyArray as $key) {
-				$cfg = $splitRendering[$key.'.'];
+				$cfg = $splitRendering[$key . '.'];
 
 					// Process each type of split rendering keyword:
-				switch((string)$splitRendering[$key])	{
+				switch ((string) $splitRendering[$key]) {
 					case 'highlightWord':
-						if (strlen($cfg['value']))	{
+						if (strlen($cfg['value'])) {
 							$newResult = array();
 
 								// Traverse the current parts of the result array:
-							foreach($result as $part)	{
+							foreach ($result as $part) {
 									// Explode the string value by the word value to highlight:
-								$explodedParts = explode($cfg['value'],$part['str']);
+								$explodedParts = explode($cfg['value'], $part['str']);
-								foreach($explodedParts as $c => $expValue)	{
+								foreach ($explodedParts as $c => $expValue) {
-									if (strlen($expValue))	{
+									if (strlen($expValue)) {
-										$newResult[] = array_merge($part,array('str' => $expValue));
+										$newResult[] = array_merge($part, array('str' => $expValue));
 									}
-									if ($c+1 < count($explodedParts))	{
+									if ($c + 1 < count($explodedParts)) {
 										$newResult[] = array(
 											'str' => $cfg['value'],
 											'fontSize' => $cfg['fontSize'] ? $cfg['fontSize'] : $part['fontSize'],
@@ -1128,24 +1082,26 @@
 							}
 
 								// Set the new result as result array:
-							if (count($newResult))	{
+							if (count($newResult)) {
 								$result = $newResult;
 							}
 						}
 					break;
 					case 'charRange':
-						if (strlen($cfg['value']))	{
+						if (strlen($cfg['value'])) {
 
 								// Initialize range:
-							$ranges = t3lib_div::trimExplode(',',$cfg['value'],1);
+							$ranges = t3lib_div::trimExplode(',', $cfg['value'], 1);
-							foreach($ranges as $i => $rangeDef)	{
+							foreach ($ranges as $i => $rangeDef) {
-								$ranges[$i] = t3lib_div::intExplode('-',$ranges[$i]);
+								$ranges[$i] = t3lib_div::intExplode('-', $ranges[$i]);
-								if (!isset($ranges[$i][1]))	$ranges[$i][1] = $ranges[$i][0];
+								if (!isset($ranges[$i][1])) {
+									$ranges[$i][1] = $ranges[$i][0];
-							}
+								}
+							}
 							$newResult = array();
 
 								// Traverse the current parts of the result array:
-							foreach($result as $part)	{
+							foreach ($result as $part) {
 
 									// Initialize:
 								$currentState = -1;
@@ -1153,24 +1109,26 @@
 
 									// Explode the string value by the word value to highlight:
 								$utf8Chars = $this->singleChars($part['str']);
-								foreach($utf8Chars as $utfChar)	{
+								foreach ($utf8Chars as $utfChar) {
 
 										// Find number and evaluate position:
 									$uNumber = $this->csConvObj->utf8CharToUnumber($utfChar);
 									$inRange = 0;
-									foreach($ranges as $rangeDef)	{
+									foreach ($ranges as $rangeDef) {
 										if ($uNumber >= $rangeDef[0] && (!$rangeDef[1] || $uNumber <= $rangeDef[1])) {
 											$inRange = 1;
 											break;
 										}
 									}
-									if ($currentState==-1)	$currentState = $inRange;	// Initialize first char
+									if ($currentState == -1) {
+										$currentState = $inRange;
+									} // Initialize first char
 
 										// Switch bank:
-									if ($inRange != $currentState && !t3lib_div::inList('32,10,13,9',$uNumber))	{
+									if ($inRange != $currentState && !t3lib_div::inList('32,10,13,9', $uNumber)) {
 
 											// Set result:
-										if (strlen($bankAccum))	{
+										if (strlen($bankAccum)) {
 											$newResult[] = array(
 												'str' => $bankAccum,
 												'fontSize' => $currentState && $cfg['fontSize'] ? $cfg['fontSize'] : $part['fontSize'],
@@ -1189,11 +1147,11 @@
 									}
 
 										// Add char to bank:
-									$bankAccum.=$utfChar;
+									$bankAccum .= $utfChar;
 								}
 
 									// Set result for FINAL part:
-								if (strlen($bankAccum))	{
+								if (strlen($bankAccum)) {
 									$newResult[] = array(
 										'str' => $bankAccum,
 										'fontSize' => $currentState && $cfg['fontSize'] ? $cfg['fontSize'] : $part['fontSize'],
@@ -1208,7 +1166,7 @@
 							}
 
 								// Set the new result as result array:
-							if (count($newResult))	{
+							if (count($newResult)) {
 								$result = $newResult;
 							}
 						}
@@ -1229,16 +1187,16 @@
 	 * @access private
 	 * @see calcBBox()
 	 */
-	function calcWordSpacing($conf, $scaleFactor=1) {
+	function calcWordSpacing($conf, $scaleFactor = 1) {
 
 		$spacing = intval($conf['spacing']);
 		$wordSpacing = intval($conf['wordSpacing']);
-		$wordSpacing = $wordSpacing?$wordSpacing:$spacing*2;
+		$wordSpacing = $wordSpacing ? $wordSpacing : $spacing * 2;
 
-		$spacing*=$scaleFactor;
+		$spacing *= $scaleFactor;
-		$wordSpacing*=$scaleFactor;
+		$wordSpacing *= $scaleFactor;
 
-		return array($spacing,$wordSpacing);
+		return array($spacing, $wordSpacing);
 	}
 
 	/**
@@ -1251,8 +1209,8 @@
 	function getTextScalFactor($conf) {
 		if (!$conf['niceText']) {
 			$sF = 1;
-		} else {		// NICETEXT::
+		} else { // NICETEXT::
-			$sF = t3lib_div::intInRange($conf['niceText.']['scaleFactor'],2,5);
+			$sF = t3lib_div::intInRange($conf['niceText.']['scaleFactor'], 2, 5);
 		}
 		return $sF;
 	}
@@ -1286,13 +1244,13 @@
 			foreach ($wordPairs as $index => $wordPair) {
 				$wordWidth = $this->getRenderedTextWidth($wordPair, $conf);
 				if ($index == 0 || $currentWidth + $wordWidth <= $breakWidth) {
-					$currentWidth+= $wordWidth;
+					$currentWidth += $wordWidth;
-					$phrase.= $wordPair;
+					$phrase .= $wordPair;
 				} else {
 						// Render the current phrase that is below breakWidth:
 					$this->ImageTTFTextWrapper($im, $fontSize, $angle, $x, $y, $color, $fontFile, $phrase, $splitRendering, $sF);
 						// Calculate the news height offset:
-					$y+= $breakSpace;
+					$y += $breakSpace;
 						// Restart the phrase:
 					$currentWidth = $wordWidth;
 					$phrase = $wordPair;
@@ -1316,9 +1274,9 @@
 	protected function getWordPairsForLineBreak($string) {
 		$wordPairs = array();
 
-		$wordsArray = preg_split('#([- .,!:]+)#', $string, -1,  PREG_SPLIT_DELIM_CAPTURE);
+		$wordsArray = preg_split('#([- .,!:]+)#', $string, -1, PREG_SPLIT_DELIM_CAPTURE);
 		$wordsCount = count($wordsArray);
-		for ($index=0; $index < $wordsCount; $index+= 2) {
+		for ($index = 0; $index < $wordsCount; $index += 2) {
 			$wordPairs[] = $wordsArray[$index] . $wordsArray[$index + 1];
 		}
 
@@ -1334,12 +1292,12 @@
 	 */
 	protected function getRenderedTextWidth($text, $conf) {
 		$bounds = $this->ImageTTFBBoxWrapper($conf['fontSize'], $conf['angle'], $conf['fontFile'], $this->recodeString($text), $conf['splitRendering.']);
-		if ($conf['angle']< 0) {
+		if ($conf['angle'] < 0) {
-			$pixelWidth = abs($bounds[4]-$bounds[0]);
+			$pixelWidth = abs($bounds[4] - $bounds[0]);
 		} elseif ($conf['angle'] > 0) {
-			$pixelWidth = abs($bounds[2]-$bounds[6]);
+			$pixelWidth = abs($bounds[2] - $bounds[6]);
 		} else {
-			$pixelWidth = abs($bounds[4]-$bounds[6]);
+			$pixelWidth = abs($bounds[4] - $bounds[6]);
 		}
 		return $pixelWidth;
 	}
@@ -1367,15 +1325,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
 	/*********************************************
 	 *
 	 * Other GIFBUILDER objects related to TEXT
@@ -1392,20 +1341,20 @@
 	 * @return	void
 	 * @see tslib_gifBuilder::make(), makeText()
 	 */
-	function makeOutline(&$im,$conf,$workArea,$txtConf)	{
+	function makeOutline(&$im, $conf, $workArea, $txtConf) {
 		$thickness = intval($conf['thickness']);
-		if ($thickness)	{
+		if ($thickness) {
 			$txtConf['fontColor'] = $conf['color'];
-			$outLineDist = t3lib_div::intInRange($thickness,1,2);
+			$outLineDist = t3lib_div::intInRange($thickness, 1, 2);
-			for ($b=1;$b<=$outLineDist;$b++)	{
+			for ($b = 1; $b <= $outLineDist; $b++) {
-				if ($b==1)	{
+				if ($b == 1) {
 					$it = 8;
 				} else {
 					$it = 16;
 				}
 				$outL = $this->circleOffset($b, $it);
-				for ($a=0;$a<$it;$a++)	{
+				for ($a = 0; $a < $it; $a++) {
-					$this->makeText($im,$txtConf,$this->applyOffset($workArea,$outL[$a]));
+					$this->makeText($im, $txtConf, $this->applyOffset($workArea, $outL[$a]));
 				}
 			}
 		}
@@ -1421,17 +1370,21 @@
 	 * @return	array
 	 * @see makeOutline()
 	 */
-	function circleOffset($distance, $iterations)	{
+	function circleOffset($distance, $iterations) {
-		$res = Array();
+		$res = array();
-		if ($distance && $iterations)	{
+		if ($distance && $iterations) {
-			for ($a=0;$a<$iterations;$a++)	{
+			for ($a = 0; $a < $iterations; $a++) {
-				$yOff = round(sin(2*pi()/$iterations*($a+1))*100*$distance);
+				$yOff = round(sin(2 * pi() / $iterations * ($a + 1)) * 100 * $distance);
-				if ($yOff)	{$yOff = intval(ceil(abs($yOff/100))*($yOff/abs($yOff)));}
+				if ($yOff) {
+					$yOff = intval(ceil(abs($yOff / 100)) * ($yOff / abs($yOff)));
+				}
-				$xOff = round(cos(2*pi()/$iterations*($a+1))*100*$distance);
+				$xOff = round(cos(2 * pi() / $iterations * ($a + 1)) * 100 * $distance);
-				if ($xOff)	{$xOff = intval(ceil(abs($xOff/100))*($xOff/abs($xOff)));}
-				$res[$a] = Array($xOff,$yOff);
+				if ($xOff) {
+					$xOff = intval(ceil(abs($xOff / 100)) * ($xOff / abs($xOff)));
-			}
+				}
+				$res[$a] = array($xOff, $yOff);
-		}
+			}
+		}
 		return $res;
 	}
 
@@ -1445,15 +1398,15 @@
 	 * @return	void
 	 * @see tslib_gifBuilder::make(), makeShadow()
 	 */
-	function makeEmboss(&$im,$conf,$workArea,$txtConf)	{
+	function makeEmboss(&$im, $conf, $workArea, $txtConf) {
-		$conf['color']=$conf['highColor'];
+		$conf['color'] = $conf['highColor'];
-		$this->makeShadow($im,$conf,$workArea,$txtConf);
+		$this->makeShadow($im, $conf, $workArea, $txtConf);
-		$newOffset = t3lib_div::intExplode(',',$conf['offset']);
+		$newOffset = t3lib_div::intExplode(',', $conf['offset']);
-		$newOffset[0]*=-1;
+		$newOffset[0] *= -1;
-		$newOffset[1]*=-1;
+		$newOffset[1] *= -1;
-		$conf['offset']=implode(',',$newOffset);
+		$conf['offset'] = implode(',', $newOffset);
-		$conf['color']=$conf['lowColor'];
+		$conf['color'] = $conf['lowColor'];
-		$this->makeShadow($im,$conf,$workArea,$txtConf);
+		$this->makeShadow($im, $conf, $workArea, $txtConf);
 	}
 
 	/**
@@ -1467,96 +1420,96 @@
 	 * @return	void
 	 * @see tslib_gifBuilder::make(), makeText(), makeEmboss()
 	 */
-	function makeShadow(&$im,$conf,$workArea,$txtConf)	{
+	function makeShadow(&$im, $conf, $workArea, $txtConf) {
-		$workArea = $this->applyOffset($workArea,t3lib_div::intExplode(',',$conf['offset']));
+		$workArea = $this->applyOffset($workArea, t3lib_div::intExplode(',', $conf['offset']));
-		$blurRate = t3lib_div::intInRange(intval($conf['blur']),0,99);
+		$blurRate = t3lib_div::intInRange(intval($conf['blur']), 0, 99);
 
-		if (!$blurRate || $this->NO_IM_EFFECTS)	{		// No effects if ImageMagick ver. 5+
+		if (!$blurRate || $this->NO_IM_EFFECTS) { // No effects if ImageMagick ver. 5+
 			$txtConf['fontColor'] = $conf['color'];
-			$this->makeText($im,$txtConf,$workArea);
+			$this->makeText($im, $txtConf, $workArea);
 		} else {
 			$w = imagesx($im);
 			$h = imagesy($im);
-			$blurBorder= 3;	// area around the blur used for cropping something
+			$blurBorder = 3; // area around the blur used for cropping something
 			$tmpStr = $this->randomName();
-			$fileMenu = $tmpStr.'_menu.'.$this->gifExtension;
+			$fileMenu = $tmpStr . '_menu.' . $this->gifExtension;
-			$fileColor = $tmpStr.'_color.'.$this->gifExtension;
+			$fileColor = $tmpStr . '_color.' . $this->gifExtension;
-			$fileMask = $tmpStr.'_mask.'.$this->gifExtension;
+			$fileMask = $tmpStr . '_mask.' . $this->gifExtension;
 
 				// BlurColor Image laves
 			$blurColImg = imagecreatetruecolor($w, $h);
-			$bcols=$this->convertColor($conf['color']);
+			$bcols = $this->convertColor($conf['color']);
-			$Bcolor = ImageColorAllocate($blurColImg, $bcols[0],$bcols[1],$bcols[2]);
+			$Bcolor = ImageColorAllocate($blurColImg, $bcols[0], $bcols[1], $bcols[2]);
 			ImageFilledRectangle($blurColImg, 0, 0, $w, $h, $Bcolor);
 			$this->ImageWrite($blurColImg, $fileColor);
 			ImageDestroy($blurColImg);
 
 				// The mask is made: BlurTextImage
 			$blurTextImg = imagecreatetruecolor($w + $blurBorder * 2, $h + $blurBorder * 2);
-			$Bcolor = ImageColorAllocate($blurTextImg, 0,0,0);		// black background
+			$Bcolor = ImageColorAllocate($blurTextImg, 0, 0, 0); // black background
-			ImageFilledRectangle($blurTextImg, 0, 0, $w+$blurBorder*2, $h+$blurBorder*2, $Bcolor);
+			ImageFilledRectangle($blurTextImg, 0, 0, $w + $blurBorder * 2, $h + $blurBorder * 2, $Bcolor);
 			$txtConf['fontColor'] = 'white';
-			$blurBordArr = Array($blurBorder,$blurBorder);
+			$blurBordArr = array($blurBorder, $blurBorder);
-			$this->makeText($blurTextImg,$txtConf,  $this->applyOffset($workArea,$blurBordArr));
+			$this->makeText($blurTextImg, $txtConf, $this->applyOffset($workArea, $blurBordArr));
-			$this->ImageWrite($blurTextImg, $fileMask);	// dump to temporary file
+			$this->ImageWrite($blurTextImg, $fileMask); // dump to temporary file
-			ImageDestroy($blurTextImg);	// destroy
+			ImageDestroy($blurTextImg); // destroy
 
 
-			$command='';
+			$command = '';
-			$command.=$this->maskNegate;
+			$command .= $this->maskNegate;
 
-			if ($this->V5_EFFECTS)	{
+			if ($this->V5_EFFECTS) {
-				$command.=$this->v5_blur($blurRate+1);
+				$command .= $this->v5_blur($blurRate + 1);
 			} else {
 					// Blurring of the mask
-				$times = ceil($blurRate/10);	// How many blur-commands that is executed. Min = 1;
+				$times = ceil($blurRate / 10); // How many blur-commands that is executed. Min = 1;
-				$newBlurRate = $blurRate*4;		// Here I boost the blur-rate so that it is 100 already at 25. The rest is done by up to 99 iterations of the blur-command.
+				$newBlurRate = $blurRate * 4; // Here I boost the blur-rate so that it is 100 already at 25. The rest is done by up to 99 iterations of the blur-command.
-				$newBlurRate = t3lib_div::intInRange($newBlurRate,1,99);
+				$newBlurRate = t3lib_div::intInRange($newBlurRate, 1, 99);
-				for ($a=0;$a<$times;$a++)	{		// Building blur-command
+				for ($a = 0; $a < $times; $a++) { // Building blur-command
-					$command.=' -blur '.$blurRate;
+					$command .= ' -blur ' . $blurRate;
 				}
 			}
 
-			$this->imageMagickExec($fileMask,$fileMask,$command.' +matte');
+			$this->imageMagickExec($fileMask, $fileMask, $command . ' +matte');
 
-			$blurTextImg_tmp = $this->imageCreateFromFile($fileMask);	// the mask is loaded again
+			$blurTextImg_tmp = $this->imageCreateFromFile($fileMask); // the mask is loaded again
-			if ($blurTextImg_tmp)	{	// if nothing went wrong we continue with the blurred mask
+			if ($blurTextImg_tmp) { // if nothing went wrong we continue with the blurred mask
 
 					// cropping the border from the mask
 				$blurTextImg = imagecreatetruecolor($w, $h);
 				$this->imagecopyresized($blurTextImg, $blurTextImg_tmp, 0, 0, $blurBorder, $blurBorder, $w, $h, $w, $h);
-				ImageDestroy($blurTextImg_tmp);	// Destroy the temporary mask
+				ImageDestroy($blurTextImg_tmp); // Destroy the temporary mask
 
 					// adjust the mask
 				$intensity = 40;
-				if ($conf['intensity'])	{
+				if ($conf['intensity']) {
-					$intensity = t3lib_div::intInRange($conf['intensity'],0,100);
+					$intensity = t3lib_div::intInRange($conf['intensity'], 0, 100);
 				}
-				$intensity = ceil(255-($intensity/100*255));
+				$intensity = ceil(255 - ($intensity / 100 * 255));
-				$this->inputLevels($blurTextImg,0,$intensity,$this->maskNegate);
+				$this->inputLevels($blurTextImg, 0, $intensity, $this->maskNegate);
 
-				$opacity = t3lib_div::intInRange(intval($conf['opacity']),0,100);
+				$opacity = t3lib_div::intInRange(intval($conf['opacity']), 0, 100);
-				if ($opacity && $opacity<100)	{
+				if ($opacity && $opacity < 100) {
-					$high = ceil(255*$opacity/100);
+					$high = ceil(255 * $opacity / 100);
-					$this->outputLevels($blurTextImg,0,$high,$this->maskNegate);	// reducing levels as the opacity demands
+					$this->outputLevels($blurTextImg, 0, $high, $this->maskNegate); // reducing levels as the opacity demands
 				}
 
-				$this->ImageWrite($blurTextImg, $fileMask);	// Dump the mask again
+				$this->ImageWrite($blurTextImg, $fileMask); // Dump the mask again
-				ImageDestroy($blurTextImg);	// Destroy the mask
+				ImageDestroy($blurTextImg); // Destroy the mask
 
 					// The pictures are combined
-				$this->ImageWrite($im, $fileMenu);	// The main pictures is saved temporarily
+				$this->ImageWrite($im, $fileMenu); // The main pictures is saved temporarily
 
-				$this->combineExec($fileMenu,$fileColor,$fileMask,$fileMenu);
+				$this->combineExec($fileMenu, $fileColor, $fileMask, $fileMenu);
 
-				$backIm = $this->imageCreateFromFile($fileMenu);	// The main image is loaded again...
+				$backIm = $this->imageCreateFromFile($fileMenu); // The main image is loaded again...
-				if ($backIm)	{	// ... and if nothing went wrong we load it onto the old one.
+				if ($backIm) { // ... and if nothing went wrong we load it onto the old one.
-					ImageColorTransparent($backIm,-1);
+					ImageColorTransparent($backIm, -1);
 					$im = $backIm;
 				}
 			}
 				// Deleting temporary files;
-			if (!$this->dontUnlinkTempFiles)	{
+			if (!$this->dontUnlinkTempFiles) {
 				unlink($fileMenu);
 				unlink($fileColor);
 				unlink($fileMask);
@@ -1565,25 +1518,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/****************************
 	 *
 	 * Other GIFBUILDER objects
@@ -1599,14 +1533,14 @@
 	 * @return	void
 	 * @see tslib_gifBuilder::make()
 	 */
-	function makeBox(&$im,$conf,$workArea)	{
+	function makeBox(&$im, $conf, $workArea) {
-		$cords = t3lib_div::intExplode(',',$conf['dimensions'].',,,');
+		$cords = t3lib_div::intExplode(',', $conf['dimensions'] . ',,,');
-		$conf['offset']=$cords[0].','.$cords[1];
+		$conf['offset'] = $cords[0] . ',' . $cords[1];
-		$cords = $this->objPosition($conf,$workArea,Array($cords[2],$cords[3]));
+		$cords = $this->objPosition($conf, $workArea, array($cords[2], $cords[3]));
-		$cols=$this->convertColor($conf['color']);
+		$cols = $this->convertColor($conf['color']);
-		if (!$this->truecolor)	{
+		if (!$this->truecolor) {
 			$reduce = t3lib_div::intInRange($this->setup['reduceColors'], 256, $this->truecolorColors, 256);
-			$this->reduceColors($im, $reduce-1, $reduce-2);	// If "reduce-1" colors (or more) are used reduce them to "reduce-2"
+			$this->reduceColors($im, $reduce - 1, $reduce - 2); // If "reduce-1" colors (or more) are used reduce them to "reduce-2"
 		}
 
 		$opacity = 0;
@@ -1619,8 +1553,8 @@
 			$opacity = round((127 * $opacity) / 100);
 		}
 
-		$tmpColor = ImageColorAllocateAlpha($im, $cols[0],$cols[1],$cols[2], $opacity);
+		$tmpColor = ImageColorAllocateAlpha($im, $cols[0], $cols[1], $cols[2], $opacity);
-		imagefilledrectangle($im, $cords[0], $cords[1], $cords[0]+$cords[2]-1, $cords[1]+$cords[3]-1, $tmpColor);
+		imagefilledrectangle($im, $cords[0], $cords[1], $cords[0] + $cords[2] - 1, $cords[1] + $cords[3] - 1, $tmpColor);
 	}
 
 	/**
@@ -1630,11 +1564,11 @@
 	 * file  {
 	 * XY  =  200,200
 	 * format  =  jpg
-     	 * quality  =  100
+	 * quality  =  100
 	 * 10  =  ELLIPSE
-     	 * 10.dimensions  =  100,100,50,50
+	 * 10.dimensions  =  100,100,50,50
 	 * 10.color  =  red
-     	 *
+	 *
 	 * $workArea = X,Y
 	 * $conf['dimensions'] = offset x, offset y, width of ellipse, height of ellipse
 	 *
@@ -1648,7 +1582,7 @@
 		$ellipseConfiguration = t3lib_div::intExplode(',', $conf['dimensions'] . ',,,');
 		$conf['offset'] = $ellipseConfiguration[0] . ',' . $ellipseConfiguration[1]; // ellipse offset inside workArea (x/y)
 
-		// @see objPosition
+			// @see objPosition
 		$imageCoordinates = $this->objPosition($conf, $workArea, array($ellipseConfiguration[2], $ellipseConfiguration[3]));
 
 		$color = $this->convertColor($conf['color']);
@@ -1665,9 +1599,9 @@
 	 * @return	void
 	 * @see tslib_gifBuilder::make(), applyImageMagickToPHPGif()
 	 */
-	function makeEffect(&$im, $conf)	{
+	function makeEffect(&$im, $conf) {
 		$commands = $this->IMparams($conf['value']);
-		if ($commands)	{
+		if ($commands) {
 			$this->applyImageMagickToPHPGif($im, $commands);
 		}
 	}
@@ -1680,75 +1614,77 @@
 	 * @access private
 	 * @see makeEffect()
 	 */
-	function IMparams($setup)	{
+	function IMparams($setup) {
-		if (!trim($setup)){return '';}
+		if (!trim($setup)) {
+			return '';
+		}
 		$effects = explode('|', $setup);
 		$commands = '';
 		foreach ($effects as $val) {
-			$pairs=explode('=',$val,2);
+			$pairs = explode('=', $val, 2);
 			$value = trim($pairs[1]);
 			$effect = strtolower(trim($pairs[0]));
-			switch($effect)	{
+			switch ($effect) {
 				case 'gamma':
-					$commands.=' -gamma '.doubleval($value);
+					$commands .= ' -gamma ' . doubleval($value);
 				break;
 				case 'blur':
-					if (!$this->NO_IM_EFFECTS)	{
+					if (!$this->NO_IM_EFFECTS) {
-						if ($this->V5_EFFECTS)	{
+						if ($this->V5_EFFECTS) {
-							$commands.=$this->v5_blur($value);
+							$commands .= $this->v5_blur($value);
 						} else {
-							$commands.=' -blur '.t3lib_div::intInRange($value,1,99);
+							$commands .= ' -blur ' . t3lib_div::intInRange($value, 1, 99);
 						}
 					}
 				break;
 				case 'sharpen':
-					if (!$this->NO_IM_EFFECTS)	{
+					if (!$this->NO_IM_EFFECTS) {
-						if ($this->V5_EFFECTS)	{
+						if ($this->V5_EFFECTS) {
-							$commands.=$this->v5_sharpen($value);
+							$commands .= $this->v5_sharpen($value);
 						} else {
-							$commands.=' -sharpen '.t3lib_div::intInRange($value,1,99);
+							$commands .= ' -sharpen ' . t3lib_div::intInRange($value, 1, 99);
 						}
 					}
 				break;
 				case 'rotate':
-					$commands.=' -rotate '.t3lib_div::intInRange($value,0,360);
+					$commands .= ' -rotate ' . t3lib_div::intInRange($value, 0, 360);
 				break;
 				case 'solarize':
-					$commands.=' -solarize '.t3lib_div::intInRange($value,0,99);
+					$commands .= ' -solarize ' . t3lib_div::intInRange($value, 0, 99);
 				break;
 				case 'swirl':
-					$commands.=' -swirl '.t3lib_div::intInRange($value,0,1000);
+					$commands .= ' -swirl ' . t3lib_div::intInRange($value, 0, 1000);
 				break;
 				case 'wave':
-					$params = t3lib_div::intExplode(',',$value);
+					$params = t3lib_div::intExplode(',', $value);
-					$commands.=' -wave '.t3lib_div::intInRange($params[0],0,99).'x'.t3lib_div::intInRange($params[1],0,99);
+					$commands .= ' -wave ' . t3lib_div::intInRange($params[0], 0, 99) . 'x' . t3lib_div::intInRange($params[1], 0, 99);
 				break;
 				case 'charcoal':
-					$commands.=' -charcoal '.t3lib_div::intInRange($value,0,100);
+					$commands .= ' -charcoal ' . t3lib_div::intInRange($value, 0, 100);
 				break;
 				case 'gray':
-					$commands.=' -colorspace GRAY';
+					$commands .= ' -colorspace GRAY';
 				break;
 				case 'edge':
-					$commands.=' -edge '.t3lib_div::intInRange($value,0,99);
+					$commands .= ' -edge ' . t3lib_div::intInRange($value, 0, 99);
 				break;
 				case 'emboss':
-					$commands.=' -emboss';
+					$commands .= ' -emboss';
 				break;
 				case 'flip':
-					$commands.=' -flip';
+					$commands .= ' -flip';
 				break;
 				case 'flop':
-					$commands.=' -flop';
+					$commands .= ' -flop';
 				break;
 				case 'colors':
-					$commands.=' -colors '.t3lib_div::intInRange($value,2,255);
+					$commands .= ' -colors ' . t3lib_div::intInRange($value, 2, 255);
 				break;
 				case 'shear':
-					$commands.=' -shear '.t3lib_div::intInRange($value,-90,90);
+					$commands .= ' -shear ' . t3lib_div::intInRange($value, -90, 90);
 				break;
 				case 'invert':
-					$commands.=' -negate';
+					$commands .= ' -negate';
 				break;
 			}
 		}
@@ -1763,22 +1699,24 @@
 	 * @return	void
 	 * @see tslib_gifBuilder::make(), autoLevels(), outputLevels(), inputLevels()
 	 */
-	function adjust(&$im, $conf)	{
+	function adjust(&$im, $conf) {
 		$setup = $conf['value'];
-		if (!trim($setup)){return '';}
+		if (!trim($setup)) {
+			return '';
+		}
 		$effects = explode('|', $setup);
 		foreach ($effects as $val) {
-			$pairs=explode('=',$val,2);
+			$pairs = explode('=', $val, 2);
 			$value = trim($pairs[1]);
 			$effect = strtolower(trim($pairs[0]));
-			switch($effect)	{
+			switch ($effect) {
-				case 'inputlevels':	// low,high
+				case 'inputlevels': // low,high
-					$params = t3lib_div::intExplode(',',$value);
+					$params = t3lib_div::intExplode(',', $value);
-					$this->inputLevels($im,$params[0],$params[1]);
+					$this->inputLevels($im, $params[0], $params[1]);
 				break;
 				case 'outputlevels':
-					$params = t3lib_div::intExplode(',',$value);
+					$params = t3lib_div::intExplode(',', $value);
-					$this->outputLevels($im,$params[0],$params[1]);
+					$this->outputLevels($im, $params[0], $params[1]);
 				break;
 				case 'autolevels':
 					$this->autoLevels($im);
@@ -1795,27 +1733,35 @@
 	 * @return	void
 	 * @see tslib_gifBuilder::make()
 	 */
-	function crop(&$im,$conf)	{
+	function crop(&$im, $conf) {
-		$this->setWorkArea('');	// clears workArea to total image
+		$this->setWorkArea(''); // clears workArea to total image
-		$cords = t3lib_div::intExplode(',',$conf['crop'].',,,');
+		$cords = t3lib_div::intExplode(',', $conf['crop'] . ',,,');
-		$conf['offset']=$cords[0].','.$cords[1];
+		$conf['offset'] = $cords[0] . ',' . $cords[1];
-		$cords = $this->objPosition($conf,$this->workArea,Array($cords[2],$cords[3]));
+		$cords = $this->objPosition($conf, $this->workArea, array($cords[2], $cords[3]));
 
 		$newIm = imagecreatetruecolor($cords[2], $cords[3]);
-		$cols=$this->convertColor($conf['backColor']?$conf['backColor']:$this->setup['backColor']);
+		$cols = $this->convertColor($conf['backColor'] ? $conf['backColor'] : $this->setup['backColor']);
-		$Bcolor = ImageColorAllocate($newIm, $cols[0],$cols[1],$cols[2]);
+		$Bcolor = ImageColorAllocate($newIm, $cols[0], $cols[1], $cols[2]);
 		ImageFilledRectangle($newIm, 0, 0, $cords[2], $cords[3], $Bcolor);
 
-		$newConf = Array();
-		$workArea = Array(0,0,$cords[2],$cords[3]);
-		if ($cords[0]<0) {$workArea[0]=abs($cords[0]);} else {$newConf['offset']=-$cords[0];}
-		if ($cords[1]<0) {$workArea[1]=abs($cords[1]);} else {$newConf['offset'].=','.-$cords[1];}
+		$newConf = array();
+		$workArea = array(0, 0, $cords[2], $cords[3]);
+		if ($cords[0] < 0) {
+			$workArea[0] = abs($cords[0]);
+		} else {
+			$newConf['offset'] = -$cords[0];
+		}
+		if ($cords[1] < 0) {
+			$workArea[1] = abs($cords[1]);
+		} else {
+			$newConf['offset'] .= ',' . -$cords[1];
+		}
 
-		$this->copyGifOntoGif($newIm,$im,$newConf,$workArea);
+		$this->copyGifOntoGif($newIm, $im, $newConf, $workArea);
 		$im = $newIm;
 		$this->w = imagesx($im);
 		$this->h = imagesy($im);
-		$this->setWorkArea('');	// clears workArea to total image
+		$this->setWorkArea(''); // clears workArea to total image
 	}
 
 	/**
@@ -1826,23 +1772,23 @@
 	 * @return	void
 	 * @see tslib_gifBuilder::make()
 	 */
-	function scale(&$im,$conf)	{
+	function scale(&$im, $conf) {
-		if ($conf['width'] || $conf['height'] || $conf['params'])	{
+		if ($conf['width'] || $conf['height'] || $conf['params']) {
 			$tmpStr = $this->randomName();
-			$theFile = $tmpStr.'.'.$this->gifExtension;
+			$theFile = $tmpStr . '.' . $this->gifExtension;
 			$this->ImageWrite($im, $theFile);
-			$theNewFile = $this->imageMagickConvert($theFile,$this->gifExtension,$conf['width'],$conf['height'],$conf['params'],'','');
+			$theNewFile = $this->imageMagickConvert($theFile, $this->gifExtension, $conf['width'], $conf['height'], $conf['params'], '', '');
 			$tmpImg = $this->imageCreateFromFile($theNewFile[3]);
-			if ($tmpImg)	{
+			if ($tmpImg) {
 				ImageDestroy($im);
 				$im = $tmpImg;
 				$this->w = imagesx($im);
 				$this->h = imagesy($im);
-				$this->setWorkArea('');	// clears workArea to total image
+				$this->setWorkArea(''); // clears workArea to total image
 			}
-			if (!$this->dontUnlinkTempFiles)	{
+			if (!$this->dontUnlinkTempFiles) {
 				unlink($theFile);
-				if ($theNewFile[3] && $theNewFile[3]!=$theFile)	{
+				if ($theNewFile[3] && $theNewFile[3] != $theFile) {
 					unlink($theNewFile[3]);
 				}
 			}
@@ -1858,35 +1804,18 @@
 	 * @access private
 	 * @see tslib_gifBuilder::make()
 	 */
-	function setWorkArea($workArea)	{
+	function setWorkArea($workArea) {
-		$this->workArea = t3lib_div::intExplode(',',$workArea);
+		$this->workArea = t3lib_div::intExplode(',', $workArea);
-		$this->workArea = $this->applyOffset($this->workArea,$this->OFFSET);
+		$this->workArea = $this->applyOffset($this->workArea, $this->OFFSET);
-		if (!$this->workArea[2])	{$this->workArea[2]=$this->w;}
-		if (!$this->workArea[3])	{$this->workArea[3]=$this->h;}
+		if (!$this->workArea[2]) {
+			$this->workArea[2] = $this->w;
-	}
+		}
+		if (!$this->workArea[3]) {
+			$this->workArea[3] = $this->h;
+		}
+	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/*************************
 	 *
 	 * Adjustment functions
@@ -1899,24 +1828,24 @@
 	 * @param	integer		GDlib Image Pointer
 	 * @return	void
 	 */
-	function autolevels(&$im)	{
+	function autolevels(&$im) {
 		$totalCols = ImageColorsTotal($im);
-		$min=255;
+		$min = 255;
-		$max=0;
+		$max = 0;
-		for ($c=0; $c<$totalCols; $c++)	{
+		for ($c = 0; $c < $totalCols; $c++) {
-			$cols = ImageColorsForIndex($im,$c);
+			$cols = ImageColorsForIndex($im, $c);
-			$grayArr[] = round(($cols['red']+$cols['green']+$cols['blue'])/3);
+			$grayArr[] = round(($cols['red'] + $cols['green'] + $cols['blue']) / 3);
 		}
-		$min=min($grayArr);
+		$min = min($grayArr);
-		$max=max($grayArr);
+		$max = max($grayArr);
-		$delta = $max-$min;
+		$delta = $max - $min;
-		if ($delta)	{
+		if ($delta) {
-			for ($c=0; $c<$totalCols; $c++)	{
+			for ($c = 0; $c < $totalCols; $c++) {
-				$cols = ImageColorsForIndex($im,$c);
+				$cols = ImageColorsForIndex($im, $c);
-				$cols['red'] = floor(($cols['red']-$min)/$delta*255);
+				$cols['red'] = floor(($cols['red'] - $min) / $delta * 255);
-				$cols['green'] = floor(($cols['green']-$min)/$delta*255);
+				$cols['green'] = floor(($cols['green'] - $min) / $delta * 255);
-				$cols['blue'] = floor(($cols['blue']-$min)/$delta*255);
+				$cols['blue'] = floor(($cols['blue'] - $min) / $delta * 255);
-				ImageColorSet($im,$c,$cols['red'],$cols['green'],$cols['blue']);
+				ImageColorSet($im, $c, $cols['red'], $cols['green'], $cols['blue']);
 			}
 		}
 	}
